/*
 *  EP93xx "GPIO Port X" input keypad driver
 *
 * (c) Copyright 2008  Matthieu Crapet <mcrapet@gmail.com>
 * Based on OMAP Keypad Driver (omap-keypad.c)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 */

#ifndef EP93XX_KEYPAD_H
#define EP93XX_KEYPAD_H

#define EP93XX_PORTX_MAXROW 4
#define EP93XX_PORTX_MAXCOL 4

/* Example: Port X bit 0..7 = C0,..Cx,R0..Ry
 * Cols are outputs
 * Rows are inputs
 */
struct ep93xx_gpio_portx_keypad_platform_data {
  int nr_rows, nr_cols;
  int keycodes[EP93XX_PORTX_MAXROW][EP93XX_PORTX_MAXCOL]; /* Left to right, from top to bottom */
  int gpio_rows[EP93XX_PORTX_MAXROW];                     /* R0, R1, .., R_{MAXROW-1} */
  int gpio_cols[EP93XX_PORTX_MAXCOL];                     /* C0, C1, .., C_{MAXCOL-1} */
};

#endif /* EP93XX_KEYPAD_H */
